GET
Use dark colors for code blocksCopy
1
https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta-rc/static-maps/arcgis/{arcgis-style}/with-polyline
Returns a static map that displays an ArcGIS Basemap style and a polyline.

with-polyline

Returns a static map that displays an ArcGIS Basemap style and a polyline as defined by the polyline parameter. The center of the map is specified by centerX and centerY. If the map center is not supplied, it is defined by the extent of the polyline. You can control the geographical extent of the static map with padding values or by defining the zoom or radius parameter.

The start and end of the polyline can be highlighted using startSymbolStyle and endSymbolStyle parameters, respectively. The static map image width and height can be defined, along with the image format, which can be png, jpeg, or webp.

Choose this option if you want to:

  • Display a polyline with up to 10 vertices.
  • Symbolize the start and end of the line using a simple symbol.

Esri and data attribution must be displayed whenever the static map is visible. Attribution should be placed near the map, or embed within the image or provided through a popup or menu if the map is embedded in an application or website.

The data attribution for an ArcGIS Basemap style can be retrieved from the /static-maps/arcgis/{arcgis-style}/attribution endpoint.

To learn more about attribution requirements for static maps, see Esri and data attribution.

Query parameters

NameTypeRequiredDefault valueDescription
tokenstring

An access token with the static maps service privilege. To pass the token as an authorization header, see HTTP authorization headers.

polylinePathGeometryGet

An array of x,y coordinate pairs defining a polyline in WGS84 spatial reference. Accepts 2 to 10 coordinate pairs.

endSymbolLabelSymbolLabel

Label displayed on the point symbol at the end of a polyline. Accepts 1–2 alphanumeric characters (A-Z, a-z, 0-9).

endSymbolColorstring007AC2

Point symbol color at the end of a polyline in hexadecimal format.

endSymbolStyleSymbolStylepin

Point symbol style at the end of the polyline. Supported values include pin, circle, square, none.

lineColorHexColor007AC2

Line symbol color in hexadecimal format.

lineStyleLineStylesolid

Line symbol stroke applied to the polyline. Supported values include solid, dash, dot.

lineWidthinteger4

Line symbol width in device-independent pixels. Values range from 1 to 16.

formatImageFormatwebp

Output image format of the map. Supported formats include png, jpeg, and webp.

heightImageDimensionHeight400

Height of the map image in pixels. Values must be between 128 and 1024.

widthImageDimensionWidth400

Width of the map image in pixels. Values must be between 128 and 1024.

paddingImagePadding10

Padding percentages around the map extent. Accepts an array of 1–4 values; default is 10 on all sides, maximum is 25.

startSymbolLabelSymbolLabel

Label displayed on the point symbol at the start of a polyline. Accepts 1–2 alphanumeric characters (A-Z, a-z, 0-9).

startSymbolColorstring007AC2

Point symbol color at the start of a polyline in hexadecimal format.

startSymbolStyleSymbolStylepin

Point symbol style at the start of the polyline. Supported values include pin, circle, square, and none.

symbolScaleSymbolScale1

Scale factor applied to the point symbol size. Values range from 0.1 to 4.0.

centerXnumber(double)

X-coordinate of the map center in WGS84 decimal degrees. Values range from -179.99 to 179.99.

centerYnumber(double)

Y-coordinate of the map center in WGS84 decimal degrees. Values range from -85.05 to 85.05.

zoomZoomLevel

A number that defines the level of detail of the map. Values range from 0 to 22.

radiusRadiusDistance

A number (in meters) that defines the minimum geographic area around a center point of the map. If no center point is supplied, the radius is applied to the geometry. Values range from 10 to 20,000,000.

attributionstringauto

Attribution footer style. To learn more about attribution requirements for static maps, see Esri and data attribution.

referenceDetailsstringall

A basemap option that controls the visibility of labels and feature symbology. This parameter is currently supported only for the arcgis/imagery style. Supported values include all and none.

token

An access token with the static maps service privilege. To pass the token as an authorization header, see HTTP authorization headers.

The token parameter can be either an API Key or short-lived token.

This parameter is required unless you supply an access token in the request header with one of the following keys using the "Bearer" scheme:

  • Authorization: Bearer <YOUR_TOKEN>
  • X-Esri-Authorization: Bearer <YOUR_TOKEN>

The provided token must be created from an ArcGIS Location Platform account and have the necessary portal:user:allowBetaAccess privilege to use the static maps service.

polyline

An array of x,y coordinate pairs defining a polyline in WGS84 spatial reference. Accepts 2 to 10 coordinate pairs.

The first coordinate pair in the array represents the start of the polyline, while the last coordinate pair represents the end.

endSymbolLabel

Label displayed on the point symbol at the end of a polyline. Accepts 1–2 alphanumeric characters (A-Z, a-z, 0-9).

Minimum length
1
Maximum length
2

endSymbolColor

Point symbol color at the end of a polyline in hexadecimal format.

It has the format RRGGBB or RRGGBBAA.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
  • AA is the alpha value. 00 is fully transparent and FF is a solid fill.

For example, a semi-transparent red color is represented as FF000080. The default color is a medium-dark shade of blue (007AC2).

Minimum length
6
Maximum length
8
Default
007AC2

endSymbolStyle

Point symbol style at the end of the polyline. Supported values include pin, circle, square, none.

It highlights the end of the polyline or path.

Default
pin

Enumerated values

pin
Click to copy
circle
Click to copy
square
Click to copy
none
Click to copy

lineColor

Line symbol color in hexadecimal format.

A hexadecimal color code takes the form RRGGBB or RRGGBBAA.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
  • AA is the alpha value. 00 is fully transparent and FF is a solid fill.
Minimum length
6
Maximum length
8
Default
007AC2

lineStyle

Line symbol stroke applied to the polyline. Supported values include solid, dash, dot.

The default line style is solid.

Default
solid

Enumerated values

solid
Click to copy
dash
Click to copy
dot
Click to copy

lineWidth

Line symbol width in device-independent pixels. Values range from 1 to 16.

Minimum
1
Maximum
16
Default
4

format

Output image format of the map. Supported formats include png, jpeg, and webp.

Default
webp

Enumerated values

png
Click to copy
jpeg
Click to copy
webp
Click to copy

height

Height of the map image in pixels. Values must be between 128 and 1024.

Minimum
128
Maximum
1024
Default
400

width

Width of the map image in pixels. Values must be between 128 and 1024.

Minimum
128
Maximum
1024
Default
400

padding

Padding percentages around the map extent. Accepts an array of 1–4 values; default is 10 on all sides, maximum is 25.

Padding value is a % of the static map image's width and/or height. It is applied to the static map image, according to the table below:

Number of values in the arrayDescriptionExample
OneThe same padding % is applied to all four sides.[10]
TwoThe first value applies padding to the top and bottom, the second to the left and right sides.[10, 5 ]
ThreeThe first value applies padding to the top, the second to the left and right sides, and the third to the bottom.[10, 20, 10]
FourThe four values apply padding to the top, right, bottom, and left in a clockwise order.[10, 5, 5, 20]

If padding is not specified, a value of 10% is applied to all sides. The maximum allowed padding value is 25%.

Default
[10]

startSymbolLabel

Label displayed on the point symbol at the start of a polyline. Accepts 1–2 alphanumeric characters (A-Z, a-z, 0-9).

Minimum length
1
Maximum length
2

startSymbolColor

Point symbol color at the start of a polyline in hexadecimal format.

It has the format RRGGBB or RRGGBBAA.

  • RR is the red value
  • GG is the green value
  • BB is the blue value
  • AA is the alpha value. 00 is fully transparent and FF is a solid fill.

For example, a semi-transparent red color is represented as FF000080. The default color is a medium-dark shade of blue (007AC2).

Minimum length
6
Maximum length
8
Default
007AC2

startSymbolStyle

Point symbol style at the start of the polyline. Supported values include pin, circle, square, and none.

It highlights the beginning of the polyline or path.

Default
pin

Enumerated values

pin
Click to copy
circle
Click to copy
square
Click to copy
none
Click to copy

symbolScale

Scale factor applied to the point symbol size. Values range from 0.1 to 4.0.

A scale value less than 1.0 indicates that the symbol is scaled down, while a value greater than 1.0 indicates that the symbol is scaled up. For example, a scale of 0.5 will reduce the symbol's dimensions to half its original size. A scale of 2.0 will double the symbol's dimensions.

The minimum scale is 0.1 and the maximum scale is 4.0.

Minimum
0.1
Maximum
4
Default
1

centerX

X-coordinate of the map center in WGS84 decimal degrees. Values range from -179.99 to 179.99.

Setting this value will override the map extent which may result in you graphics not being visible in the map.

Minimum
-179.9
Maximum
179.9

centerY

Y-coordinate of the map center in WGS84 decimal degrees. Values range from -85.05 to 85.05.

Setting this value will override the extent of the map, which may result in your graphics not being displayed.

Minimum
-85.05
Maximum
85.05

zoom

A number that defines the level of detail of the map. Values range from 0 to 22.

Higher values show more detail over a smaller geographic extent, while lower values show larger areas with less detail.

This parameter is typically used to control map rendering scale, tile selection, and feature visibility.

zoom and radius are mutually exclusive. Use only one or the other.

Minimum
0
Maximum
22

radius

A number (in meters) that defines the minimum geographic area around a center point of the map. If no center point is supplied, the radius is applied to the geometry. Values range from 10 to 20,000,000.

zoom and radius are mutually exclusive. Use only one or the other.

The radius value is used to define the real world radius of the area displayed in the map image. The area covered by the radius will always be displayed on the static map image.

If the image width and height are equal, the static map image will be square and the geographic extent displayed by the static map image will match that defined by the radius. However, if the image width is greater than the height, the geographic extent displayed by the static map image will be wider than that defined by the radius.

As a guide, the following radius values can be used for the following types of static maps.

Radius (meters)Approximate extent (diameter)Typical map usageZoom
10~20 mBuilding / site22–23
100~200 mStreet / block18–19
1,000~2 kmNeighborhood / district15–16
10,000~20 kmCity12–13
100,000~200 kmMetro / region9–10
1,000,000~2,000 kmState / large region6–7

The radius has a minimum value of 10 meters and a maximum value of 20,000,000 meters.

Minimum
10
Maximum
20000000

attribution

Attribution footer style. To learn more about attribution requirements for static maps, see Esri and data attribution.

  • auto: Matches the attribution style to the map.
  • light: Light background with dark text.
  • dark: Dark background with light text.
  • none: Displays only “Powered by Esri” without a background.

You must ensure that your map is accompanied by the full attribution statement (see terms of use): if you choose the none option you must include the full attribution string yourself.

Default
auto

Enumerated values

auto
Click to copy
light
Click to copy
dark
Click to copy
none
Click to copy

referenceDetails

A basemap option that controls the visibility of labels and feature symbology. This parameter is currently supported only for the arcgis/imagery style. Supported values include all and none.

Default
all

Enumerated values

all
Click to copy
none
Click to copy

Path parameters

NameTypeRequiredDescription
arcgis-stylestring

The ArcGIS basemap style used to render the map.

arcgis-style

The ArcGIS basemap style used to render the map.

GroupStyleExampleDescriptionData attribution
StreetsnavigationnavigationA custom navigation style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsnavigation-nightnavigation-nightA custom navigation style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
StreetsstreetsstreetsA classic Esri street map style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsstreets-nightstreets-nightA classic Esri street map style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
SatelliteimageryimageryLow-resolution satellite imagery for the world and high-resolution satellite and aerial imagery, typically within 3-5 years of currency, for most of the world.Esri, Vantor, GeoEye, Earthstar Geographics, CNES/Airbus DS, USDA, USGS, AeroGRID, IGN, © OpenStreetMap contributors, TomTom, Garmin, FAO, NOAA, and the GIS User Community

Enumerated values

streets
Click to copy
streets-night
Click to copy
navigation
Click to copy
navigation-night
Click to copy
imagery
Click to copy

Response status

StatusMeaningDescriptionSchema
200OK

Static map in a desired image format.

string(binary)
400Bad Request

Invalid query parameters / Incorrect portal item type / Data URL parse failure.

Error
401Unauthorized

Authentication Error. The API key or token is missing, invalid or expired.

Error
403Forbidden

The requested resource cannot be accessed because of incorrect sharing permissions.

Error
404Not Found

The requested resource cannot be found - this could be due to missing map data at the requested location and zoom level.

Error
5XXServer Error

An error occurred on the server.

Error

Examples

Request

Use dark colors for code blocksCopy
1
2
# You can also use wget
curl -X GET 'https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta-rc/static-maps/arcgis/streets/with-polyline?polyline=-117.247325%2C34.100934%2C-117.247506%2C34.104433%2C-117.247962%2C34.105095&token=YOUR_TOKEN'

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.